Need new firmware

Discussion in 'PSP - Games & Content' started by odyssy, Sep 27, 2009.

Sep 27, 2009

Need new firmware by odyssy at 7:34 AM (631 Views / 0 Likes) 3 replies

  1. odyssy
    OP

    Newcomer odyssy Advanced Member

    Joined:
    Jul 20, 2006
    Messages:
    61
    Country:
    Canada
    Want to play Resistance:Retribution (legit, non-ISO..) online - but this requires (why?) a firmware update. I have 5.00 M33-6 now, and if I do network update, it says "the latest version of the system software is already installed". And apparently some newer games require even later firmwares..

    Help?
     
  2. CrimsoniteX

    Member CrimsoniteX GBAtemp Regular

    Joined:
    Oct 26, 2007
    Messages:
    212
    Country:
    United States
    Your PSP is trying to update using the M33 update server, which is up to date. If you REALLY want to get off your custom firmware and upgrade to 6.00...

    -Boot PSP holding R-Trigger (puts you in the recovery menu)
    -Select Configuration
    -Change (Use M33 Network Update) to No [​IMG]

    (I'm on 5.50 GEN-B, so these instructions may not be exact. However, the idea is the same.)
     
  3. odyssy
    OP

    Newcomer odyssy Advanced Member

    Joined:
    Jul 20, 2006
    Messages:
    61
    Country:
    Canada
    That would put me on the official firmware, would it not? Without support for all of the fun stuff a custom one allows? If so, how would I go back to a custom one (I didn't do it myself originally.. I don't have one of the Pandora batteries..) when the new version is released (and when's that coming, anyway?)?
     
  4. xist

    Member xist ΚΑΤΑ ΤΟΝ ΔΑΙΜΟΝΑ ΕΑΥΤΟΥ

    Joined:
    Jul 14, 2008
    Messages:
    5,861
    Country:
    United Kingdom
    5.50 GEN supposedly works fine for online gaming. I hate other people (and non M33 firmware! [​IMG]) so i wouldn't know.
     

Share This Page